# Uses of Class
javax.security.auth.login.Configuration

Packages that use Configuration
Package
Description
com.sun.security.auth.login
Provides an implementation of `Configuration`.
javax.security.auth.login
This package provides a pluggable authentication framework.

## Uses of Configuration in com.sun.security.auth.login

Subclasses of Configuration in com.sun.security.auth.login
Modifier and Type
Class
Description
`class`
`ConfigFile`
This class represents a default implementation for `javax.security.auth.login.Configuration`.

## Uses of Configuration in javax.security.auth.login

Methods in javax.security.auth.login that return Configuration
Modifier and Type
Method
Description
`static Configuration`
Configuration.`getConfiguration()`
Get the installed login Configuration.
`static Configuration`
Configuration.`getInstance(String type, Configuration.Parameters params)`
Returns a Configuration object of the specified type.
`static Configuration`
Configuration.`getInstance(String type, Configuration.Parameters params, String provider)`
Returns a Configuration object of the specified type.
`static Configuration`
Configuration.`getInstance(String type, Configuration.Parameters params, Provider provider)`
Returns a Configuration object of the specified type.
Methods in javax.security.auth.login with parameters of type Configuration
Modifier and Type
Method
Description
`static void`
Configuration.`setConfiguration(Configuration configuration)`
Set the login `Configuration`.
Constructors in javax.security.auth.login with parameters of type Configuration
Modifier
Constructor
Description
``
`LoginContext(String name, Subject subject, CallbackHandler callbackHandler, Configuration config)`
Instantiate a new `LoginContext` object with a name, a `Subject` to be authenticated, a `CallbackHandler` object, and a login `Configuration`.